// ENSAM 2005
// Workshop Infographie du 14/11 au 18/11
// Maison zHome
// sources lumineuses

#macro eclairage_standard( dist, force )
	light_source { <-1,1.5,-1>*dist color rgb <1,1,1>*force }
	light_source { < 1,1.5,-1>*dist color rgb <1,1,1>*force }
	light_source { <-1,-1, 1>*dist  color rgb <1,1,1>*force }
	background { color rgb 1/4 }
#end

#macro spot( loc )
	light_source
	{	loc
		color rgb <1,1,1>
		spotlight
		point_at loc + <0,0,-1>
  		radius 10				// hotspot (inner, in degrees)
		tightness 10            // tightness of falloff (1...100) lower is softer, higher is tighter
		falloff 8               // intensity falloff radius (outer, in degrees)
		looks_like 
		{	sphere { <0,0,0>, 0.05 }
			texture
			{	pigment { color rgb <1,1,1> }
				finish { ambient 1 } 
			} 
		}
	}
#end
