// ENSAM 2005
// Workshop Infographie du 14/11 au 18/11
// Maison zHome
// macros textures

#macro _granit()
#if (!DEBUG)
	texture
	{	pigment 
		{	granite
			color_map
			{	[ 0.00 color rgbt <1,1,1> ]
				[ 0.99 color rgbt <0,0,0> ]
			}
			scale 1/8
			turbulence 1
		}
		normal 
		{	granite
			scale 1/8
			bump_size 1
		}
		finish
		{	ambient 0.3
			diffuse 0.5
			specular 0.7
			roughness 0.01
			//reflection 0.5
		} 
	}
#else
	pigment { color rgb <1,1,1> }
#end
#end

#macro lamelle()
#if (!DEBUG)
	texture
	{	pigment 
		{	marble
			color_map
			{	[ 0.00 color rgbt <1,0.8,0.6> ]
				[ 0.59 color rgbt <0.3,0.3,0.0> ]
			}
			rotate <0,90,0>
			scale 1/8
			turbulence 0
		}
		finish
		{	ambient 0.3
			diffuse 0.5
			specular 0.7
			roughness 0.01
			//reflection 0.5
		} 
	}
#else
	pigment { color rgb <1,1,1> }
#end
#end

#macro verre()
#if (!DEBUG)
	texture
	{	pigment { color rgbt <0.5,1,1,0.5> }
		finish
		{	ambient 0.3
			diffuse 0.5
			specular 0.7
			roughness 0.01
			reflection 0.5
		} 
	}
#else
	pigment { color rgb <1,1,1> }
#end
#end
